Subject: Re: [PATCH] netfilter: uapi: Fix file names for case-insensitive filesystem.

From: Pablo Neira Ayuso <[email-masked]>
Date: Mon, 11 Nov 2024 19:34:45 +0100

On Mon, Nov 11, 2024 at 05:56:06PM +0100, Florian Westphal wrote:
> [email-masked] <[email-masked]> wrote:
> >  rename net/ipv4/netfilter/{ipt_ECN.c => ipt_ECN_TARGET.c} (98%)
> >  rename net/netfilter/{xt_DSCP.c => xt_DSCP_TARGET.c} (98%)
> >  rename net/netfilter/{xt_HL.c => xt_HL_TARGET.c} (100%)
> >  rename net/netfilter/{xt_RATEEST.c => xt_RATEEST_TARGET.c} (99%)
> >  rename net/netfilter/{xt_TCPMSS.c => xt_TCPMSS_TARGET.c} (99%)
> 
> No, please, if we have to do this, then lets merge the targets
> (uppercase name) into the match (lowercase), i.e. most of the contents
> of xt_DSCP.c go into xt_dscp.c.

Agreed, please don't do this.

We have seen people sending patches like this one for several years,
this breaks stuff.